<?php if (!defined('APPLICATION')) exit();

$Attributes = array();
if($this->EditingMetaTag) $Attributes = array('readonly' => 'readonly');

?>

<h1><?php echo Gdn::Translate('Meta tags') ?></h1>

<?php echo $this->Form->Open() ?>
<?php echo $this->Form->Errors() ?>

<ul>

<li>
	<?php
		echo $this->Form->Label('Route', 'Route');
		echo $this->Form->TextBox('Route', $Attributes);
	?>
</li>

<li>
	<?php
		echo $this->Form->Label('Title', 'Title');
		echo $this->Form->TextBox('Title');
	?>
</li>

<li>
	<?php
		echo $this->Form->Label('Keywords', 'Keywords');
		echo $this->Form->TextBox('Keywords', array('Multiline' => True));
	?>
</li>

<li>
	<?php
		echo $this->Form->Label('Description', 'Description');
		echo $this->Form->TextBox('Description', array('Multiline' => True));
	?>
</li>
<li>
	<?php
		echo $this->Form->Label('Robots', 'Robots');
		echo $this->Form->TextBox('Robots');
	?>
</li>
<li>
	<?php
		echo $this->Form->Label('Language', 'Language');
		$Attributes = array('value' => $this->CurrentLanguage, 'IncludeNull' => True);
		echo $this->Form->DropDown('Language', $this->Languages, $Attributes);
	?>
</li>

</ul>

<?php echo $this->Form->Button('Save') ?>
<?php echo $this->Form->Button('Remove') ?>
<?php echo $this->Form->Close() ?>