<?php if (!defined('APPLICATION')) exit();

?>

<h1><?php echo Gdn::Translate('Meta tags'); ?></h1>

<div class="FilterMenu">
   <?php echo Anchor(Gdn::Translate('Add meta tags'), 'garden/settings/metatag', 'Popup Button'); ?>
</div>

<div class="Info"><?php echo Format::Display('Title. No more than 70 characters including spaces, no more than 10 words.
Keywords. No more than 255 characters, no more than 20 words.
Description. No more than 160 characters.
Use different keywords and description on each page.');?>
</div>

<table class="AltColumns">
   <thead>
      <tr>
         <th<?php echo Alternate()?>><?php echo Gdn::Translate('Route')?></th>
         <th<?php echo Alternate()?>><?php echo Gdn::Translate('Title')?></th>
         <th<?php echo Alternate()?>><?php echo Gdn::Translate('Description')?></th>
         <th<?php echo Alternate()?>><?php echo Gdn::Translate('Keywords')?></th>
         <th<?php echo Alternate()?>><?php echo Gdn::Translate('Language')?></th>
         <th<?php echo Alternate()?>><?php echo Gdn::Translate('Robots')?></th>
         <th<?php echo Alternate()?>><?php echo Gdn::Translate('Options')?></th>
      </tr>
   </thead>
   <tbody>
<?php 
Alternate();
foreach($this->MetaDataSet->Result() as $Meta):
?>
<tr>
<td<?php echo Alternate()?>><?php echo $Meta->Route ?></td>
<td<?php echo Alternate()?>><?php echo mb_strimwidth($Meta->Title, 0, 40, '&hellip;', 'utf-8') ?></td>
<td<?php echo Alternate()?>><?php echo mb_strimwidth($Meta->Description, 0, 80, '&hellip;', 'utf-8') ?></td>
<td<?php echo Alternate()?>><?php echo mb_strimwidth($Meta->Keywords, 0, 80, '&hellip;', 'utf-8') ?></td>
<td<?php echo Alternate()?>><?php echo $Meta->Language ?></td>
<td<?php echo Alternate()?>><?php echo $Meta->Robots ?></td>
<td<?php echo Alternate()?>><?php echo Anchor(Gdn::Translate('Edit'), 'garden/settings/metatag/'.$Meta->Route, 'Popup') ?></td>
</tr>
<?php endforeach;?>
</tbody>
</table>